<?php
/**
* Загрузчик
*
* @link https://lazydev.pro/
* @author LazyDev <email@lazydev.pro>
**/

defined('DATALIFEENGINE') || die();

use LazyDev\Avatar\Data;

$modLName = 'avatar_gen';

if (file_exists(ENGINE_DIR . '/classes/plugins.class.php')) {
	include_once ENGINE_DIR . '/classes/plugins.class.php';
} else {
	@ini_set('pcre.recursion_limit', 10000000);
	@ini_set('pcre.backtrack_limit', 10000000);
	@ini_set('pcre.jit', false);
	include_once ENGINE_DIR . '/data/config.php';
	require_once ENGINE_DIR . '/classes/mysql.php';
	require_once ENGINE_DIR . '/data/dbconfig.php';
	abstract class DLEPlugins {
		public static function Check($source = '') {
			return $source;
		}
	}
}

spl_autoload_register(function ($class) {
	$prefix = 'LazyDev\\Avatar\\';
	$baseDir = __DIR__ . '/class/';
	$len = strlen($prefix);
	if (strncmp($prefix, $class, $len) !== 0) {
		return;
	}
    
	$relativeClass = substr($class, $len);
	$file = $baseDir . str_replace('\\', '/', $relativeClass) . '.php';
	if (file_exists($file)) {
        require_once $file;
	}
});

Data::load();
$langVar = Data::receive('lang');